{
	"format_version": "1.12",
	"minecraft:recipe_shaped": {
		"description": {
			"identifier": "magicalspells:parchment"
		},
		"tags": [
			"magicalspells:parchment_crafter"
		],
		"pattern": [
			"GGG",
			"LPL",
			"RER"
		],
		"key": {
			"P": {
				"item": "minecraft:paper"
			},
			"G": {
				"item": "minecraft:glowstone_dust"
			},
			"L": {
				"item": "minecraft:lapis_block"
			},
			"R": {
				"item": "minecraft:redstone_block"
			},
			"E": {
				"item": "minecraft:echo_shard"
			}
		},
		"result": {
			"item": "magicalspells:parchment"
		}
	}
}